      SUBROUTINE MKXML(error,file)
c
c     Write out XML files for MC histograms.
c     {file} = path & name of the rz input file.
c     The output file destinations are in a directory
c     given by the stem of the rz file name and the
c     hbook directory names for each paper.
c
c     Jon Butterworth 14/2/2005
c     -----------------------------------------------------------------

      IMPLICIT NONE

      CHARACTER*160 file

      INTEGER lrec, istat, error
      EXTERNAL LENOCC
      INTEGER lenocc
      LOGICAL HEXIST

      LOGICAL h2xml, ok, mkpaper
      CHARACTER*160 hdir, directory, path
      CHARACTER*10 name
      INTEGER counter

      path = file(1:LENOCC(file)-3)
      lrec=0

      PRINT*,'Opening file for xmling',file
      CALL HROPEN(69,'MAIN',file(1:LENOCC(file)),'X'
     &     ,lrec,istat)
      IF (istat.NE.0) THEN
         PRINT*,'Unable to open file: ',file
         PRINT*,'ISTAT=',istat
         error=2
         RETURN
      ENDIF
      WRITE(*,*) 'File opened'
      
C     ZEUS JET SHAPES
      name = 'd97191'
      counter = 0
      ok = MKPAPER(path,name,10,13,1,counter)
      IF (ok) ok = MKPAPER(path,name,20,23,1,counter)
      IF (ok) ok = MKPAPER(path,name,30,33,1,counter)
      IF (ok) ok = MKPAPER(path,name,40,41,1,counter)

c     INCLUSIVE JETS:  ZEUS 1
      name = 'd94176'
      counter = 0
      ok = MKPAPER(path,name,20,24,1,counter)

C     DIJETS: ZEUS 1
      name = 'd95033'
      counter = 0
      ok = MKPAPER(path,name,10,20,10,counter)

C     Gaps between jets
C     DIJETS: ZEUS 1
      name = 'd95194'
      counter = 0
      ok = MKPAPER(path,name,10,30,10,counter)

C     INCLUSIVE JETS H1: 1
      name = 'd95219'
      counter = 0
      ok = MKPAPER(path,name,1,5,1,counter)

c     DIJETS: ZEUS 2  (angular distributions)
      name = 'd96094'
      counter = 0
      ok = MKPAPER(path,name,10,20,10,counter)

C     DIJETS: H1 1
      name = 'd97164'
      counter = 0
      ok = MKPAPER(path,name,1,7,1,counter)


C     DIJETS: ZEUS 3
      name = 'd97196'
      counter = 0
      ok = MKPAPER(path,name,10,13,1,counter)
      IF (ok) ok = MKPAPER(path,name,20,23,1,counter)
      IF (ok) ok = MKPAPER(path,name,30,33,1,counter)

c     INCLUSIVE JETS: ZEUS 2
      name = 'd98018'
      counter = 0
      ok = MKPAPER(path,name,10,70,10,counter)

c     ZEUS jets: DESY-02-228
      name = 'd02228'
      counter = 0
      ok = MKPAPER(path,name,11,14,1,counter)

c     CHARM dijets
      name = 'd98085'
      counter = 0
      ok = MKPAPER(path,name,10,60,10,counter)

C     THREE JETS: ZEUS 1
      name = 'd98162'
      counter = 0
      ok = MKPAPER(path,name,60,64,1,counter)
      
C     DIJETS: ZEUS 4
      name = 'd99057'
      counter = 0
      ok = MKPAPER(path,name,10,33,1,counter)

C     H1 dijets
      name = 'd00035'
      counter = 0
      ok = MKPAPER(path,name,1,2,1,counter)

C     ZEUS photon pdf stuff
      name = 'd01220'
      counter = 0
      ok = MKPAPER(path,name,11,34,1,counter)

C     H1 high ET dijets
      name = 'd01225'
      counter = 0
      ok = MKPAPER(path,name,11,27,1,counter)

c     ZEUS beauty photoproduction.
      name = 'd00166'
      counter = 0
      ok = MKPAPER(path,name,10,20,10,counter)

c     H1 gaps between jets
      name = 'd02023'
      counter = 0
      ok = MKPAPER(path,name,4001,4004,1,counter)
      IF (ok) ok = MKPAPER(path,name,4025,4028,1,counter)
      IF (ok) ok = MKPAPER(path,name,4035,4038,1,counter)
      IF (ok) ok = MKPAPER(path,name,4045,4048,1,counter)

C     Claire's 4 jet stuff
      name = 'i02849'
      counter = 0
      ok = MKPAPER(path,name,411,414,1,counter)
      IF (ok) ok = MKPAPER(path,name,431,434,1,counter)
      IF (ok) ok = MKPAPER(path,name,418,419,1,counter)
      IF (ok) ok = MKPAPER(path,name,438,439,1,counter)


c     LEP2 
      name = 'c96132'
      counter = 0
      ok = MKPAPER(path,name,10,11,1,counter)
      IF (ok) ok = MKPAPER(path,name,20,21,1,counter)

      name = 'c98113'
      counter = 0
      ok = MKPAPER(path,name,1,2,1,counter)
      IF (ok) ok = MKPAPER(path,name,10,10,1,counter)
      IF (ok) ok = MKPAPER(path,name,20,28,1,counter)
      IF (ok) ok = MKPAPER(path,name,1030,1037,1,counter)

      name = 'h0301013'
      counter = 0
      ok = MKPAPER(path,name,16410,16410,1,counter)
      IF (ok) ok = MKPAPER(path,name,10410,10410,1,counter)
      IF (ok) ok = MKPAPER(path,name,10211,10211,1,counter)
      IF (ok) ok = MKPAPER(path,name,15211,15211,1,counter)
      IF (ok) ok = MKPAPER(path,name,16211,16211,1,counter)
      IF (ok) ok = MKPAPER(path,name,10313,10314,1,counter)
      IF (ok) ok = MKPAPER(path,name,10323,10333,10,counter)
      IF (ok) ok = MKPAPER(path,name,10313,10314,1,counter)
      IF (ok) ok = MKPAPER(path,name,15313,15314,1,counter)
      IF (ok) ok = MKPAPER(path,name,15323,15323,1,counter)
      IF (ok) ok = MKPAPER(path,name,16313,16314,1,counter)
      IF (ok) ok = MKPAPER(path,name,16323,16323,1,counter)
      IF (ok) ok = MKPAPER(path,name,15413,15413,1,counter)
      IF (ok) ok = MKPAPER(path,name,15411,15412,1,counter)
      IF (ok) ok = MKPAPER(path,name,16413,16413,1,counter)
      IF (ok) ok = MKPAPER(path,name,16411,16412,1,counter)

c     D0 dijets
      name = 'h9807014'
      counter = 0
      ok = MKPAPER(path,name,110,110,1,counter)

c     CDF underlying event.
      name = 'f01211e'
      counter = 0
      ok = MKPAPER(path,name,13,14,1,counter)
      IF (ok) ok = MKPAPER(path,name,11,11,1,counter)

c     CDF dijets
      name = 'h9912022'
      counter = 0
      ok = MKPAPER(path,name,76,76,1,counter)

c     D0 inclusive jets
      name = 'h9807018'
      counter = 0
      ok = MKPAPER(path,name,13,13,1,counter)

c     UA5 minimum bias data
      name = 'prt154247'
      counter = 0
      ok = MKPAPER(path,name,11,15,1,counter)

      name = 'c88172a'
      counter = 0
      ok = MKPAPER(path,name,11,16,1,counter)

      name = 'c88172b'
      counter = 0
      ok = MKPAPER(path,name,11,16,1,counter)

      name = 'f89201e'
      counter = 0
      ok = MKPAPER(path,name,4,6,1,counter)

      name = 'plb435453'
      counter = 0
      ok = MKPAPER(path,name,1,3,1,counter)

      name = 'c93153'
      counter = 0
      ok = MKPAPER(path,name,1,15,1,counter)

      name = 'h9905024'
      counter = 0
      ok = MKPAPER(path,name,1,4,1,counter)

      name = 'h9505001'
      counter = 0
      ok = MKPAPER(path,name,10,12,1,counter)

      name = 'h9810020'
      counter = 0
      ok = MKPAPER(path,name,101,101,1,counter)
      ok = MKPAPER(path,name,103,104,1,counter)

      name = 'h0302034'
      counter = 0
      ok = MKPAPER(path,name,101,103,1,counter)
      ok = MKPAPER(path,name,201,202,1,counter)
      ok = MKPAPER(path,name,301,204,1,counter)
      ok = MKPAPER(path,name,401,407,1,counter)
      ok = MKPAPER(path,name,501,501,1,counter)
      ok = MKPAPER(path,name,601,601,1,counter)

      name = 'h0001021'
      counter = 0
      ok = MKPAPER(path,name,1,1,1,counter)

c     add the beauty ones.

c     Close this input file
      CALL HREND('MAIN')
      CLOSE(69)

      RETURN
      END





